Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 481753002: Use Shadow DOM to display fallback content for images (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 10 months ago by rhogan
Modified:
2 years, 6 months ago
Reviewers:
pdr., esprehn, Noel Gordon
CC:
eseidel, jbroman, Julien - ping for review, ojan
Project:
blink
Visibility:
Public.

Description

Use Shadow DOM to display fallback content for images This replaces the use of painting in RenderImage to display an image's alt text with an implementation in shadow DOM. This initial implementation is close in appearance to the legacy display of alt-text but will ultimately move closer to the one seen in Firefox and described in http://hixie.ch/specs/alttext. The alt-text and broken-image icon is now rendered as: <style> #alttext-container { overflow: hidden; border: 1px solid silver; padding: 1px; display: inline-block; } #alttext { display: none; overflow: hidden;} </style> <div id="alttext-container"> <img src="data:png, [broken-image-icon]" width="16" height="16" align="left" style="margin: 0px"> <div id="alt-text">Alt text in here</div> </div> Some notes on the way the fallback content is now rendered: - The fallback content is rendered inside an inline-block so it does not calculate its dimensions the way a replaced element (i.e. an image) would (as defined by http://www.w3.org/TR/CSS2/visudet.html#inline-replaced-width). So where one of width or height is auto but the other is not, the fallback content will not exactly match the dimensions calculated by RenderImage in error mode currently. We do a modest imitation of the logic in quirks mode, but in strict mode it will behave exactly like an inline-block. - Where the image has no src attribute and no alt attribute RenderImage.cpp still looks after the painting of the element - no fallback content is generated and no broken image is displayed. This is consistent with existing behaviour. - The only image resource requests that still use the synchronous load path are those where the item is cached (and didn't error out), where its the fallback image for an object element, or where it's the image for a main resource load. All other image loads are now asynchronous so that fallback content can be loaded outside the style recalc phase. - Instead of aborting an image resource request when the src element is empty (i.e. src='') we now allow the request to go through so that it can fail and invoke the fallback content in HTMLImageLoader.cpp. - As you can see in the new result for fast/borders/rtl-border-05.html, since the alt-text is displayed as an inline-block it no longer artificially shrinks any border on the element to the broken-image icon. Some notes on the rebaselined test results: - I've modified inspector/network/network-image-404.html to output the state of both the resource requests, i.e. the failed one and the resource request for the data:png to display the broken image icon. - I've added a missing support file for fast/css/counters/complex-before.html - its absence meant that the result was polluted by the behaviour of broken image rendering. - Likewise for fast/images/imagemap-polygon* tests - our new rendering of failed image loads was interfering with an assumption in the tests that a broken image still painted a RenderImage. So I've removed the src attribute to allow the assumption hold (img elements without a src attribute are painted by RenderImage). - I have altered fast/forms/state-restore-to-non-edited-controls.html to wait 100ms before submitting the form as the image load in the input element is now asynchronous. Likewise for fast/forms/basic-buttons.html. - I did the same to svg/canvas/canvas-draw-image-globalalpha.html and fast/canvas/canvas-drawImage-out-of-bounds-src.html. Since all image loads that might need alt content are performed asynchronously canvas.drawImage() now needs to ensure the content has loaded before drawing. - http/tests/security/local-image-from-remote-whitelisted.html has been masking a bug - blink does not load the image even though it is whitelisted. I am rebaselining the test to reflect the failure revealed by this CL and tracking a fix under crbug.com/410949. - As the alt text is now always exposed if the image doesn't load, any input elements that use an image will show the default alt title 'Submit'. This shows up in the accessibility unit tests in content_browsertests. I plan to rebaseline these in a separate CL. Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=185847 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=186800

Patch Set 1 #

Patch Set 2 : git log #

Patch Set 3 : Updated #

Patch Set 4 : Updated #

Patch Set 5 : Updated #

Patch Set 6 : Updated #

Total comments: 61

Patch Set 7 : Updated #

Total comments: 1

Patch Set 8 : Updated #

Patch Set 9 : Updated #

Patch Set 10 : Updated #

Patch Set 11 : Updated #

Patch Set 12 : Updated again #

Patch Set 13 : Updated #

Patch Set 14 : Updated #

Patch Set 15 : Updated #

Patch Set 16 : Updated #

Patch Set 17 : Updated #

Total comments: 1

Patch Set 18 : Updated #

Patch Set 19 : Updated #

Patch Set 20 : Updated #

Patch Set 21 : Updated #

Patch Set 22 : Updated #

Patch Set 23 : Updated #

Patch Set 24 : Updated #

Patch Set 25 : Updated #

Patch Set 26 : Updated #

Patch Set 27 : Updated #

Patch Set 28 : Updated #

Patch Set 29 : Updated #

Patch Set 30 : Updated #

Patch Set 31 : Updated #

Patch Set 32 : Updated #

Total comments: 6

Patch Set 33 : Updated #

Patch Set 34 : Updated #

Patch Set 35 : Updated #

Patch Set 36 : Updated #

Total comments: 11

Patch Set 37 : Updated #

Total comments: 1

Patch Set 38 : Updated #

Patch Set 39 : Updated #

Patch Set 40 : Updated #

Patch Set 41 : Updated #

Patch Set 42 : Updated #

Patch Set 43 : Updated #

Patch Set 44 : Updated #

Patch Set 45 : Updated #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+673 lines, -233 lines) Patch
M LayoutTests/TestExpectations View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 2 chunks +150 lines, -1 line 0 comments Download
A LayoutTests/fast/css/counters/support/square-outline-32x32.png View 1 2 3 39 Binary file 0 comments Download
M LayoutTests/fast/forms/state-restore-to-non-edited-controls.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 39 1 chunk +1 line, -1 line 0 comments Download
A LayoutTests/fast/images/alt-text-wrapping.html View 1 2 3 4 5 6 39 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/images/imagemap-circle-focus-ring.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-focus-ring.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-focus-ring-outline-color.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-focus-ring-outline-color-explicitly-inherited-from-map.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-focus-ring-outline-color-not-inherited-from-map.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-focus-ring-zoom.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-focus-ring-zoom-style.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-focus-ring-zoom-style-expected.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-nested-area.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-overflowing-circle-focus-ring.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-overflowing-polygon-focus-ring.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/fast/images/imagemap-polygon-focus-ring.html View 1 2 39 1 chunk +1 line, -1 line 0 comments Download
M LayoutTests/http/tests/inspector/network/network-image-404.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 39 1 chunk +8 lines, -2 lines 0 comments Download
A LayoutTests/http/tests/security/contentSecurityPolicy/image-blocked-alt-content.html View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 39 1 chunk +10 lines, -0 lines 0 comments Download
A LayoutTests/http/tests/security/contentSecurityPolicy/image-blocked-alt-content-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 1 chunk +17 lines, -0 lines 0 comments Download
M LayoutTests/platform/linux/fast/hidpi/broken-image-icon-hidpi-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 Binary file 0 comments Download
M LayoutTests/platform/linux/fast/hidpi/broken-image-icon-hidpi-expected.txt View 1 2 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 1 chunk +4 lines, -1 line 0 comments Download
M LayoutTests/platform/linux/fast/hidpi/broken-image-with-size-hidpi-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 Binary file 0 comments Download
M LayoutTests/platform/linux/fast/hidpi/broken-image-with-size-hidpi-expected.txt View 1 2 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 1 chunk +4 lines, -1 line 0 comments Download
A LayoutTests/platform/linux/fast/images/alt-text-wrapping-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 Binary file 0 comments Download
A LayoutTests/platform/linux/fast/images/alt-text-wrapping-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/platform/linux/http/tests/security/contentSecurityPolicy/image-blocked-alt-content-expected.png View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 Binary file 0 comments Download
M Source/core/core.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 43 44 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/css/invalidation/StyleSheetInvalidationAnalysis.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 39 1 chunk +5 lines, -1 line 0 comments Download
M Source/core/editing/TextIterator.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 4 chunks +6 lines, -3 lines 0 comments Download
M Source/core/fetch/ImageResource.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +3 lines, -0 lines 0 comments Download
M Source/core/html/HTMLElement.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 1 chunk +2 lines, -0 lines 0 comments Download
M Source/core/html/HTMLImageElement.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 39 5 chunks +13 lines, -1 line 0 comments Download
M Source/core/html/HTMLImageElement.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 9 chunks +79 lines, -11 lines 0 comments Download
A Source/core/html/HTMLImageFallbackHelper.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 39 1 chunk +23 lines, -0 lines 0 comments Download
A Source/core/html/HTMLImageFallbackHelper.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 39 1 chunk +112 lines, -0 lines 0 comments Download
M Source/core/html/HTMLImageLoader.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 39 1 chunk +4 lines, -0 lines 0 comments Download
M Source/core/html/HTMLImageLoader.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 39 2 chunks +46 lines, -3 lines 0 comments Download
M Source/core/html/HTMLInputElement.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 3 chunks +4 lines, -3 lines 0 comments Download
M Source/core/html/HTMLInputElement.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 3 chunks +14 lines, -4 lines 0 comments Download
M Source/core/html/forms/BaseButtonInputType.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 39 1 chunk +1 line, -1 line 0 comments Download
M Source/core/html/forms/ImageInputType.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 39 3 chunks +10 lines, -0 lines 0 comments Download
M Source/core/html/forms/ImageInputType.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 39 7 chunks +78 lines, -13 lines 0 comments Download
M Source/core/html/forms/InputTypeView.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 39 1 chunk +3 lines, -0 lines 0 comments Download
M Source/core/loader/ImageLoader.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 5 chunks +3 lines, -8 lines 0 comments Download
M Source/core/loader/ImageLoader.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 6 chunks +18 lines, -15 lines 0 comments Download
M Source/core/paint/ImagePainter.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 43 44 1 chunk +3 lines, -65 lines 1 comment Download
M Source/core/rendering/RenderBox.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/RenderImage.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 3 chunks +1 line, -9 lines 0 comments Download
M Source/core/rendering/RenderImage.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 7 chunks +4 lines, -75 lines 0 comments Download
M Source/modules/accessibility/AXRenderObject.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 3 chunks +13 lines, -2 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 41 (5 generated)
rhogan
robhogan@gmail.com changed reviewers: + esprehn@chromium.org
2 years, 10 months ago (2014-08-28 13:42:45 UTC) #1
rhogan
Hi Eliot, Can you take a look?
2 years, 10 months ago (2014-08-28 13:42:45 UTC) #2
rhogan
Hi Eliot, Just a ping on this. Thanks
2 years, 9 months ago (2014-09-03 21:57:32 UTC) #3
esprehn
Can you add a test for wrapping alt text? https://codereview.chromium.org/481753002/diff/100001/Source/core/accessibility/AXRenderObject.cpp File Source/core/accessibility/AXRenderObject.cpp (right): https://codereview.chromium.org/481753002/diff/100001/Source/core/accessibility/AXRenderObject.cpp#newcode296 Source/core/accessibility/AXRenderObject.cpp:296: ...
2 years, 9 months ago (2014-09-05 00:47:52 UTC) #4
shreeramk
@rhogan: Please find below inline comments. > Some notes on the way the fallback content ...
2 years, 9 months ago (2014-09-05 06:04:55 UTC) #5
rhogan
https://codereview.chromium.org/481753002/diff/100001/Source/core/accessibility/AXRenderObject.cpp File Source/core/accessibility/AXRenderObject.cpp (right): https://codereview.chromium.org/481753002/diff/100001/Source/core/accessibility/AXRenderObject.cpp#newcode296 Source/core/accessibility/AXRenderObject.cpp:296: } On 2014/09/05 at 00:47:50, esprehn wrote: > no ...
2 years, 9 months ago (2014-09-08 19:52:43 UTC) #6
rhogan
On 2014/09/05 at 00:47:52, esprehn wrote: > Can you add a test for wrapping alt ...
2 years, 9 months ago (2014-09-08 19:57:21 UTC) #7
rhogan
On 2014/09/05 at 06:04:55, shreeram.k wrote: > @rhogan: > Please find below inline comments. > ...
2 years, 9 months ago (2014-09-08 19:59:02 UTC) #8
rhogan
To clarify: On 2014/09/08 at 19:59:02, rhogan wrote: > On 2014/09/05 at 06:04:55, shreeram.k wrote: ...
2 years, 9 months ago (2014-09-08 20:00:29 UTC) #9
shreeramk
On 2014/09/08 20:00:29, rhogan wrote: > Alt text is always shown. If it doesn't fit, ...
2 years, 9 months ago (2014-09-09 18:52:07 UTC) #10
esprehn
https://codereview.chromium.org/481753002/diff/120001/Source/core/html/HTMLImageElement.h File Source/core/html/HTMLImageElement.h (right): https://codereview.chromium.org/481753002/diff/120001/Source/core/html/HTMLImageElement.h#newcode156 Source/core/html/HTMLImageElement.h:156: Text* m_altTextNode; There's no reason for this, just do ...
2 years, 9 months ago (2014-09-09 19:52:41 UTC) #11
rhogan
< rhogan> https://storage.googleapis.com/chromium-layout-test-archives/mac_blink_rel/23455/layout-test-results/virtual/deferred/fast/images/style-access-during-imageChanged-crash-crash-log.txt < rhogan> https://storage.googleapis.com/chromium-layout-test-archives/mac_blink_rel/23455/layout-test-results/dom/html/level2/html/HTMLInputElement22-crash-log.txt < rhogan> is another one < rhogan> boils down ...
2 years, 9 months ago (2014-09-23 18:14:34 UTC) #12
esprehn
All the broken image icons are in the top left corner now instead of centered, ...
2 years, 8 months ago (2014-10-14 19:07:39 UTC) #13
rhogan
On 2014/10/14 at 19:07:39, esprehn wrote: > All the broken image icons are in the ...
2 years, 8 months ago (2014-10-14 19:41:21 UTC) #14
esprehn
lgtm, lets do it! This is how I feel about this patch: http://i.imgur.com/TZmwQ6C.gif
2 years, 8 months ago (2014-10-23 18:24:24 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/481753002/540001
2 years, 8 months ago (2014-11-01 11:25:03 UTC) #17
commit-bot: I haz the power
Committed patchset #28 (id:540001) as 184770
2 years, 8 months ago (2014-11-01 12:08:34 UTC) #18
rhogan
A revert of this CL (patchset #28 id:540001) has been created in https://codereview.chromium.org/696123002/ by robhogan@gmail.com. ...
2 years, 8 months ago (2014-11-01 15:05:58 UTC) #19
esprehn
jbroman@ CSP mode can still load images from css right? This was my confusion with ...
2 years, 7 months ago (2014-11-11 19:06:06 UTC) #20
jbroman
[+cc mkwst because of CSP discussion] On 2014/11/11 19:06:06, esprehn wrote: > jbroman@ CSP mode ...
2 years, 7 months ago (2014-11-11 19:25:51 UTC) #21
rhogan
https://codereview.chromium.org/481753002/diff/620001/Source/core/accessibility/AXRenderObject.cpp File Source/core/accessibility/AXRenderObject.cpp (right): https://codereview.chromium.org/481753002/diff/620001/Source/core/accessibility/AXRenderObject.cpp#newcode262 Source/core/accessibility/AXRenderObject.cpp:262: if (isHTMLInputElement(node) && toHTMLInputElement(node)->hasFallbackContent()) On 2014/11/11 at 19:06:06, esprehn ...
2 years, 7 months ago (2014-11-11 19:43:06 UTC) #22
esprehn
We should probably move all these resources into the browser and fetch them with a ...
2 years, 7 months ago (2014-11-13 19:12:19 UTC) #23
pdr.
Incredibly cool patch! https://codereview.chromium.org/481753002/diff/700001/Source/core/html/HTMLElement.h File Source/core/html/HTMLElement.h (right): https://codereview.chromium.org/481753002/diff/700001/Source/core/html/HTMLElement.h#newcode103 Source/core/html/HTMLElement.h:103: virtual void ensureFallbackContent() { } HTMLElement::ensureFallbackContent ...
2 years, 7 months ago (2014-11-14 07:34:17 UTC) #25
rhogan
https://codereview.chromium.org/481753002/diff/700001/Source/core/html/HTMLImageFallbackHelper.cpp File Source/core/html/HTMLImageFallbackHelper.cpp (right): https://codereview.chromium.org/481753002/diff/700001/Source/core/html/HTMLImageFallbackHelper.cpp#newcode73 Source/core/html/HTMLImageFallbackHelper.cpp:73: "n/eeYPuo7npS9bCOriXDMQOCTVbO3X+6Wp9mICZWAHqquE1qAA8EQRiFcmYMsQKsAHM2DeKV4qj4" On 2014/11/14 at 07:34:17, pdr wrote: > Can ...
2 years, 7 months ago (2014-11-14 19:23:19 UTC) #26
pdr.
I think we're very close. https://codereview.chromium.org/481753002/diff/720001/Source/core/html/HTMLImageFallbackHelper.cpp File Source/core/html/HTMLImageFallbackHelper.cpp (right): https://codereview.chromium.org/481753002/diff/720001/Source/core/html/HTMLImageFallbackHelper.cpp#newcode57 Source/core/html/HTMLImageFallbackHelper.cpp:57: brokenImage->setAttribute(srcAttr, AtomicString("data:image/png;base64," I'd still ...
2 years, 7 months ago (2014-11-14 19:47:59 UTC) #27
pdr.
LGTM, thank you, as always, for the great patches :)
2 years, 7 months ago (2014-11-17 18:37:10 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/481753002/800001
2 years, 7 months ago (2014-11-22 23:01:54 UTC) #30
commit-bot: I haz the power
Committed patchset #41 (id:800001) as https://src.chromium.org/viewvc/blink?view=rev&revision=185847
2 years, 7 months ago (2014-11-22 23:05:34 UTC) #31
alex clarke
A revert of this CL (patchset #41 id:800001) has been created in https://codereview.chromium.org/757583002/ by alexclarke@chromium.org. ...
2 years, 7 months ago (2014-11-24 10:33:28 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/481753002/880001
2 years, 6 months ago (2014-12-09 19:34:22 UTC) #34
commit-bot: I haz the power
Committed patchset #45 (id:880001) as https://src.chromium.org/viewvc/blink?view=rev&revision=186800
2 years, 6 months ago (2014-12-09 19:38:08 UTC) #35
Noel Gordon
https://codereview.chromium.org/481753002/diff/880001/Source/core/paint/ImagePainter.cpp File Source/core/paint/ImagePainter.cpp (right): https://codereview.chromium.org/481753002/diff/880001/Source/core/paint/ImagePainter.cpp#newcode81 Source/core/paint/ImagePainter.cpp:81: if (!m_renderImage.imageResource()->hasImage()) { I may have missed a mention ...
2 years, 6 months ago (2014-12-16 00:54:54 UTC) #37
paulmiller
Rob, I don't see any alt text in the canary build when images are disabled ...
2 years, 6 months ago (2014-12-17 18:19:15 UTC) #38
rhogan
On 2014/12/17 at 18:19:15, paulmiller wrote: > Rob, I don't see any alt text in ...
2 years, 6 months ago (2014-12-17 18:52:45 UTC) #39
rhogan
On 2014/12/16 at 00:54:54, noel wrote: > https://codereview.chromium.org/481753002/diff/880001/Source/core/paint/ImagePainter.cpp > File Source/core/paint/ImagePainter.cpp (right): > > https://codereview.chromium.org/481753002/diff/880001/Source/core/paint/ImagePainter.cpp#newcode81 ...
2 years, 6 months ago (2014-12-17 18:54:51 UTC) #40
paulmiller
2 years, 6 months ago (2014-12-17 19:26:16 UTC) #41
Message was sent while issue was closed.
> I've opened crbug.com/443529

correction: crbug.com/443259
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 23e94e589